## TumblerCache

TumblerCache

## Functions

TumblerCache * | tumbler_cache_get_default ()
TumblerThumbnail * | tumbler_cache_get_thumbnail ()
void | tumbler_cache_cleanup ()
void | tumbler_cache_delete ()
void | tumbler_cache_copy ()
void | tumbler_cache_move ()
gboolean | tumbler_cache_is_thumbnail ()
GList * | tumbler_cache_get_flavors ()
TumblerThumbnailFlavor * | tumbler_cache_get_flavor ()

## Types and Values

| TumblerCache
struct | TumblerCacheInterface

## Object Hierarchy

        GInterface
        ╰── TumblerCache

## Prerequisites

TumblerCache requires GObject.

## Description

## Functions

### tumbler_cache_get_default ()

    TumblerCache *
    tumbler_cache_get_default (void);

### tumbler_cache_get_thumbnail ()

    TumblerThumbnail *
    tumbler_cache_get_thumbnail (TumblerCache *cache,
                                 const gchar *uri,
                                 TumblerThumbnailFlavor *flavor);

### tumbler_cache_cleanup ()

    void
    tumbler_cache_cleanup (TumblerCache *cache,
                           const gchar *const *base_uris,
                           gdouble since);

### tumbler_cache_delete ()

    void
    tumbler_cache_delete (TumblerCache *cache,
                          const gchar *const *uris);

### tumbler_cache_copy ()

    void
    tumbler_cache_copy (TumblerCache *cache,
                        const gchar *const *from_uris,
                        const gchar *const *to_uris);

### tumbler_cache_move ()

    void
    tumbler_cache_move (TumblerCache *cache,
                        const gchar *const *from_uris,
                        const gchar *const *to_uris);

### tumbler_cache_is_thumbnail ()

    gboolean
    tumbler_cache_is_thumbnail (TumblerCache *cache,
                                const gchar *uri);

### tumbler_cache_get_flavors ()

    GList *
    tumbler_cache_get_flavors (TumblerCache *cache);

### tumbler_cache_get_flavor ()

    TumblerThumbnailFlavor *
    tumbler_cache_get_flavor (TumblerCache *cache,
                              const gchar *name);

## Types and Values

### TumblerCache

    typedef struct _TumblerCache TumblerCache;

### struct TumblerCacheInterface

    struct TumblerCacheInterface {
      GTypeInterface __parent__;

      /* signals */

      /* virtual methods */
      TumblerThumbnail *(*get_thumbnail) (TumblerCache *cache,
                                          const gchar *uri,
                                          TumblerThumbnailFlavor *flavor);
      void (*cleanup) (TumblerCache *cache,
                       const gchar *const *base_uris,
                       gdouble since);
      void (*do_delete) (TumblerCache *cache,
                         const gchar *const *uris);
      void (*copy) (TumblerCache *cache,
                    const gchar *const *from_uris,
                    const gchar *const *to_uris);
      void (*move) (TumblerCache *cache,
                    const gchar *const *from_uris,
                    const gchar *const *to_uris);
      gboolean (*is_thumbnail) (TumblerCache *cache,
                                const gchar *uri);
      GList *(*get_flavors) (TumblerCache *cache);
    };